Subject: bug#26100: Switch from Automake to GNU Make

From: Andy Moreton <[email-masked]>
Date: Wed, 15 Mar 2017 17:20:08 +0000

On Tue 14 Mar 2017, Paul Eggert wrote:

> Attached is a patch to change the Emacs build procedure to use GNU Make
> instead of Automake, along the lines I suggested in January. I tested this on
> Fedora 25 and on Solaris 10. Although I've tried to make it portable to
> MS-Windows I cannot easily test it there. I plan to do more testing on it
> before installing it, and am sending it to bug-gnu-emacs now to give the
> MS-Windows folks a heads-up.
>
> http://lists.gnu.org/archive/html/emacs-devel/2017-01/msg00097.html

lib/Makefile.in has:
  include ../nt/gnulib-cfg.mk

however for out of tree builds this should be:
  include $(top_srcdir)/nt/gnulib-cfg.mk

After that change, I've bootstrapped this successfully from a clean tree
on Windows (64bit msys2 mingw64).

    AndyM